25 апреля 2012

Установить AMD ATI Catalyst Display Driver 12.4 в Ubuntu 12.04/11.10


Установка  AMD ATI Catalyst 12.4 в Ubuntu 12.04/11.10 и старше

Прежде всего перед установкой драйвера, нужно удалить текущий следующими двумя командами:

 sudo sh /usr/share/ati/fglrx-uninstall.sh

 sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx

Теперь сама установка:

cd ~/; mkdir catalyst12.4; cd catalyst12.4/

wget -O amd-driver-installer-12-4-x86.x86_64.run http://goo.gl/VGYWP

chmod +x amd-driver-installer-12-4-x86.x86_64.run

sudo sh ./amd-driver-installer-12-4-x86.x86_64.run

Далее следуйте инструкциям по установке:



Выполните следующую команду, чтобы завершить установку:

sudo aticonfig --initial -f 

Затем перезагрузите систему:

sudo reboot 

Удачи. 

62 комментария :

  1. админ подскажи пожалуйста как поставить ati-driver-installer-9-3-x86.x86_64.run на ATI 1250 на dell 1521
    Спасибо

    ОтветитьУдалить
    Ответы
    1. У меня Nvidia, но вот посмотри эту страницу, там всё об ATI: http://www.serkey.com/tag/radeon-x1270-driver-for-ubuntu/

      Удалить
  2. У меня вот вообще такая проблема... Устанавливаю драйвер на видео карту Radeon 4670 но в конце установки выдает ошибку .... после перезагрузки появляется в меню каталис.... но видео карта так и не пашет...не включаются эффекты не запускаются игры.... Что можно сделать ?

    ОтветитьУдалить
    Ответы
    1. "Что можно сделать ?"
      Сделать копию вывода на ошибку и показать здесь, иначе как можно что-то советовать.

      Удалить
    2. There were errors during installation. Details can be found in /usr/share/ati/fglrx-install.log

      Эта ошибка вылазиет после установки , после я перезагружаю комп каталис в меню есть но игру не могу запустить и эффекты... уже и не знаю что можно еще сделать..... Раньше в предыдущих версиях ubuntu я спокойно устанавливал драйвер.. А здесь не могу

      Удалить
    3. Ну так пройди по указанному адресу: /usr/share/ati/fglrx-install.log и скопируй этот баг.

      Удалить
  3. Админ у меня таже поблема There were errors during installation.Details can be found in /usr/share/ati/fglrx/-install.log
    Вот он
    Uninstalling any previously installed drivers.
    Unloading radeon module...
    ERROR: Module radeon is in use
    Unloading drm module...
    ERROR: Module drm is in use by radeon,ttm,drm_kms_helper
    [Message] Kernel Module : Trying to install a precompiled kernel module.
    [Message] Kernel Module : Precompiled kernel module version mismatched.
    [Message] Kernel Module : Found kernel module build environment, generating kernel module now.
    AMD kernel module generator version 2.1
    doing Makefile based build for kernel 2.6.x and higher
    rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
    make -C /lib/modules/3.2.0-24-generic-pae/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
    make[1]: Вход в каталог `/usr/src/linux-headers-3.2.0-24-generic-pae'
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: В функции «KCL_fpu_begin»:
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:5812:28: ошибка: «TS_USEDFPU» undeclared (first use in this function)
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:5812:28: замечание: each undeclared identifier is reported only once for each function it appears in
    make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Ошибка 1
    make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Ошибка 2
    make[1]: Выход из каталога `/usr/src/linux-headers-3.2.0-24-generic-pae'
    make: *** [kmod_build] Ошибка 2
    build failed with return value 2
    [Error] Kernel Module : Failed to compile kernel module - please consult readme.
    [Reboot] Kernel Module : update-initramfs

    ОтветитьУдалить
    Ответы
    1. Cогласно логу, старый драйвер используется, поэтому невозможно установить новый. Повтори удаление старого старого драйвера и попытайся установить ещё раз новый.

      Удалить
  4. Вот после пере установки

    Uninstalling any previously installed drivers.
    Unloading radeon module...
    ERROR: Module radeon is in use
    Unloading drm module...
    ERROR: Module drm is in use by radeon,ttm,drm_kms_helper
    [Message] Kernel Module : Trying to install a precompiled kernel module.
    [Message] Kernel Module : Precompiled kernel module version mismatched.
    [Message] Kernel Module : Found kernel module build environment, generating kernel module now.
    AMD kernel module generator version 2.1
    doing Makefile based build for kernel 2.6.x and higher
    rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
    make -C /lib/modules/3.2.0-24-generic-pae/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
    make[1]: Вход в каталог `/usr/src/linux-headers-3.2.0-24-generic-pae'
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: В функции «KCL_fpu_begin»:
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:5812:28: ошибка: «TS_USEDFPU» undeclared (first use in this function)
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:5812:28: замечание: each undeclared identifier is reported only once for each function it appears in
    make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Ошибка 1
    make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Ошибка 2
    make[1]: Выход из каталога `/usr/src/linux-headers-3.2.0-24-generic-pae'
    make: *** [kmod_build] Ошибка 2
    build failed with return value 2
    [Error] Kernel Module : Failed to compile kernel module - please consult readme.
    [Reboot] Kernel Module : update-initramfs

    ОтветитьУдалить
    Ответы
    1. Втрой лог идентичен первому. Проверь работает ли драйвер следующей командой: glxgears.
      Если будет писать, что не установлен mesa-utils, установи этой командой:sudo apt-get install mesa-utils и повтори команду glxgears.

      Удалить
  5. Работает но как-то медленно

    ОтветитьУдалить
  6. /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:5812:28: ошибка: «TS_USEDFPU» undeclared (first use in this function) Эта строка говорит о том что драйвер не собрался.glxgears к сожалению здесь не поможет. Я нашел вот этот тред и применил патч о котором там говорится после этого драйвер собрался и заработал. Вот как это сделать:

    1) запустить установку как описано выше и установить, (не выполняя aticonfig ....)
    2) cd /lib/modules/fglrx/build_mod
    Можно просто открыть файл firegl_public.c в текстовом редакторе и перейти к строке 5802 там заменть if (cur_task->status & TS_USEDFPU) на
    на if (__thread_has_fpu(cur_task)) и сохранить файл, Но можно и воспользоваться патчем:)
    root@yellow:/lib/modules/fglrx/build_mod#touch ts_usedfpu.patch
    открыить этот файл и вставить в него вот это
    --- firegl_public.c
    +++ firegl_public.c
    @@ -5799,7 +5799,7 @@
    #else
    struct thread_info *cur_task = current_thread_info();
    preempt_disable();
    - if (cur_task->status & TS_USEDFPU)
    + if (__thread_has_fpu(cur_task))
    __save_init_fpu(cur_task->task);
    else
    clts();
    и запустить patch
    root@yellow:/lib/modules/fglrx/build_mod# patch -p0 < ts_usedfpu.patch
    patching file firegl_public.c
    patch unexpectedly ends in middle of line
    Hunk #1 succeeded at 5809 with fuzz 1 (offset 10 lines).
    3) ./make.sh
    Вывод будет что-то вроде:
    root@yellow:/lib/modules/fglrx/build_mod# ./make.sh
    AMD kernel module generator version 2.1
    ./make.sh: строка 390: [: слишком много аргументов
    ./make.sh: строка 396: [: слишком много аргументов
    doing Makefile based build for kernel 2.6.x and higher
    rm -rf *.c *.h *.o *.ko *.a .??* *.symvers
    make -C /lib/modules/3.2.0-24-generic-pae/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
    make[1]: Вход в каталог `/usr/src/linux-headers-3.2.0-24-generic-pae'
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: В функции «KCL_fpu_begin»:
    /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:5812:5: предупреждение: в передаче аргумента 1 «__thread_has_fpu»: несовместимый тип указателя [по умолчанию включена]
    /usr/src/linux-headers-3.2.0-24-generic-pae/arch/x86/include/asm/i387.h:280:19: замечание: expected «struct task_struct *» but argument is of type «struct thread_info *»
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_acpi.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_agp.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_debug.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_ioctl.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_io.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_pci.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_str.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_iommu.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl.o
    CC [M] /lib/modules/fglrx/build_mod/2.6.x/kcl_wait.o
    LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
    Building modules, stage 2.
    MODPOST 1 modules
    CC /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
    LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
    make[1]: Выход из каталога `/usr/src/linux-headers-3.2.0-24-generic-pae'
    build succeeded with return value 0
    duplicating results into driver repository...
    done.
    You must change your working directory to /lib/modules/fglrx
    and then call ./make_install.sh in order to install t
    4) Затем собственно делаем то что нам советует make.sh:
    root@yellow:/lib/modules/fglrx/build_mod# cd ../
    root@yellow:/lib/modules/fglrx# ./make_install.sh
    - recreating module dependency list
    - trying a sample load of the kernel modules
    done.
    5) aticonfig --initial -f
    6) reboot

    ОтветитьУдалить
    Ответы
    1. После того как опубликовал увидел что форматирование несколько изменилось поэтому патчем который я туда вставил пользоваться не советую просто замените строку. В первых строках хотел привести ссылку и забыл вставить собсно ссылку :) вот она: http://ati.cchtml.com/show_bug.cgi?id=444

      Удалить
  7. Анонимный26 мая 2012 г., 15:27

    Чожет быть не хвает чего, dkmc & lib32gcc1?

    ОтветитьУдалить
  8. Анонимный26 мая 2012 г., 15:33

    Сори --- может быть, dkms & lib32gcc1?, да хидеров от кернела

    PS^ ubuntu 12.04? ati-drv-12-4x64, полет нормальный!

    ОтветитьУдалить
  9. Анонимный16 июня 2012 г., 3:47

    А у меня на ASUS Eee PC, до того как поставил проприетарный драйвер в автоматическом режиме всё летало, когда поставил-стали фильмы тормозить и логотип убунту при загрузке некрасиво растянулся. С помощью данного поста удалил драйвер, новый не поставился, зато все великолепно работает, по ходу остались дрова из коробки. Щас вообще отключил проверку драйверов. Спасибо!!

    ОтветитьУдалить
  10. нетбук Acer aspire one 721. видеокарта ati radeon 4225. система ubuntu 12.04 32бит. установил драйвер по инструкции. в результате черный экран.

    с проприетарным та же песня.

    ОтветитьУдалить
    Ответы
    1. Тогда может просто без драйвера обходиться.

      Удалить
    2. не вариант.нужна поддержка hd видео для работы

      сейчас 12.3 поставил - исчезла unity

      Удалить
    3. У ATI в Linux всегда были проблемы.

      Удалить
    4. предлагает удалить какие-то старые пакеты.

      как удалить эти дрова? какой командой?

      Удалить
    5. sudo sh /usr/share/ati/fglrx-uninstall.sh

      sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx

      Удалить
    6. Примени эти две команды на удаление дрйвера.

      Удалить
    7. удалил. но unity так и не появилась. чистый экран с картинкой рабочего стола и все.

      Удалить
    8. Почитай ЗДЕСЬ, как вернуть панели.

      Удалить
    9. не помогло.

      как спасти систему? переустанавливать времени нет

      Удалить
    10. Не может быть чтобы не помогло, Тогда другого варианта просто нет, как переустановка.

      Удалить
    11. вот кстати вопрос хочу спросить.для установки этих драйверов надо сначала кривой fglrx, который система предлагает ставить?

      и еще тогда. какая версия для ati radeon hd 4225 подойдет?

      Удалить
    12. fglrx ставить не надо, потому что перед установкой нового драйвера всё старое надо удалять.
      По второму вопросу лучше погуглить.

      Удалить
  11. Анонимный7 июля 2012 г., 20:31

    Сайт http://goo.gl/VGYWP лежит, невозможно поставить дрова. можно откуда нибудь скачать сам драйвер.

    ОтветитьУдалить
    Ответы
    1. Только-что проверил, все работает.

      Удалить
    2. Анонимный8 июля 2012 г., 12:25

      Спасибо! Теперь пашет. Всё установилось на ура!

      Удалить
  12. Анонимный9 июля 2012 г., 18:25

    Всем привет. Не подскажете лоху от винды, что может быть - ставлю драйвер но в конце установки выдает ошибку:
    DKMS part of installation failed. Please refer to /usr/share/ati/fglrx-install.log for details
    Removing temporary directory: fglrx-install.3IVHCk
    В fglrx-install.log запись:
    Detected a previous installation, /usr/share/ati/amd-uninstall.sh
    Dryrun uninstall succeeded continuing with installation.
    Uninstalling any previously installed drivers.
    Forcing uninstall of AMD Catalyst(TM) Proprietary Driver.
    No integrity verification is done.
    restore of system environment completed
    Errors during DKMS module removal
    Uninstall fglrx driver complete.
    For detailed log of uninstall, please see /etc/ati/fglrx-uninstall.log
    System must be rebooted to avoid system instability and potential data loss.
    /usr/share/ati/amd-uninstall.sh completed with 0

    Creating symlink /var/lib/dkms/fglrx/8.961/source ->
    /usr/src/fglrx-8.961

    DKMS: add completed.

    Kernel preparation unnecessary for this kernel. Skipping...

    Building module:
    cleaning build area....
    cd /var/lib/dkms/fglrx/8.961/build; sh make.sh --nohints --uname_r=3.2.0-26-generic-pae --norootcheck.....(bad exit status: 1)
    [Error] Kernel Module : Failed to build fglrx-8.961 with DKMS
    [Error] Kernel Module : Removing fglrx-8.961 from DKMS

    ------------------------------
    Deleting module version: 8.961
    completely from the DKMS tree.
    ------------------------------
    Done.
    [Reboot] Kernel Module : update-initramfs
    Что делать и где копать?

    ОтветитьУдалить
    Ответы
    1. Надо прежде всего удалить старый драйвер двумя первыми командами, а затем устанавливать новый. Вот и вся премудрость.

      Удалить
  13. Анонимный9 июля 2012 г., 20:03

    хех... он не удаляется... в логе пишет:

    *** AMD Catalyst(TM) Proprietary Driver Uninstall Log 2012-07-09 21:49:48 ***
    File is missing from system /usr/share/ati/amdcccle/amdcccle_cs.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_da_DK.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_de.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_el_GR.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_es_ES.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_fi_FI.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_fr_FR.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_hu_HU.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_it_IT.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_ja.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_ko_KR.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_nl_NL.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_no.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_pl.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_pt_BR.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_ru_RU.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_sv_SE.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_th.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_tr_TR.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_zh_CN.qm.
    File is missing from system /usr/share/ati/amdcccle/amdcccle_zh_TW.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_de.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_es.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_fr.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_ja_JP.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_pl.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_pt.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_ru.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_sv.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_zh_CN.qm.
    File is missing from system /usr/share/ati/amdcccle/qt_zh_TW.qm.
    File is missing from system /usr/bin/amdcccle.
    One or more files have been altered since installation.
    Uninstall will not be completed.

    To force uninstall, removing all installed files without verification,
    run /usr/share/ati/amd-uninstall.sh --force.

    Forcing uninstall is not recommended and may cause system corruption.

    ОтветитьУдалить
    Ответы
    1. Он пишет в этом логе, что:
      "Один или несколько файлов были изменены с момента установки.
      Удаление не будет завершено."
      "Принудительное удаление не рекомендуется и может привести к повреждению системы."

      Возможно ты что-то делал с драйвером раньше, поэтому он делает такое предупреждение.

      Удалить
  14. Анонимный11 июля 2012 г., 17:06

    прееустанавливаю систему ставлю винду второй пак радеонка 4670 и каталист ставится и работает на ура,а на третий пак ни в какую не устанавливается в чем может быть проблема

    ОтветитьУдалить
  15. Анонимный20 июля 2012 г., 10:22

    Привет.
    Есть проблема, а именно:

    система Linux mint 13 Maya MATE x64 Видеокарта - Asus ATI EAH 5850 TOP Монитор Samsung

    Устанавливается проприетарный драйвер ATI причем в окне установки драйвера высвечивается две строки - один, что с пометкой "плановые обновления" не устанавливается(установка прекращается примерно на 93-х процентах), а второй нормально ставится, тот , что без всяких пометок в скобках. далее значок, что надо перезагрузить тачку, чтоб драйвер заработал , перегружаюсь, все нормально, драйвер загружен, ЖЛ работает, НО по периметру монитора присутствует черная рамка примерно 2см. глюков в изображении и в работе системы НЕТ.

    Далее, пробую настроить драйвер - захожу в "Центр управления" -> там раздел хардваря и в этом разделе присутствует два ярлыка ATI один просто, для пользоватилей (он нормально запускается), только править в таком варианте нельзя, надо быть рутом, а вот второй ярлык, как раз и является запуском каталиста под РУТОМ, так вот второй ярлык я так и не могу запустить, жмакаю - ничего ... и в процессах его нет, короче не запускается эта байда со второго ярлыка, соответственно и внести какие-то изменения в настройках я не могу, т.к. в каталист можно зайти только не под рутом, а как простой юзер.

    Посоветуйте, плиз, че делать-то... как настраивать видео? может че еще надо скачать ?

    ОтветитьУдалить
  16. Ребят есть вопрос очень долго парой отклик приложений,браузера и тд.Даже чтобы отрыть папку жду секунд 5~7 с чем это связанно?
    2ГБ.2 Ядра хватить вроде должно.
    8.версию ставил такова не было

    ОтветитьУдалить
    Ответы
    1. Возможно "криво" записан образ дистрибутива. Попробуй перезапиши на самой малой скорости и на новый диск. Иногда переустановка помогает.

      Удалить
  17. я установил убунту студио для работы в блендере. после установки системы установил каталист (у мну радеон хд 3700). в меню "настройки" появилось 2 пункта: "ати каталист" и "ати каталист от администратора". 2 пункт не срабатывает вообще. Из-за этого не могу настроить рабочий стол на 2 дисплея, тк этот пункт - не активен (пишет "зайдите от админа"). в просто убунту - работал, не хочется возвращаться на убунту тк там юнити, а в убунту студио - похож интерфейс на мак или гном2.
    Установил каталист так как написано вверху этой страницы. пукты "ати.." и "ати от админа" из настроек пропали совсем. что делать?

    ОтветитьУдалить
    Ответы
    1. Вернись к старой версии драйвера.

      Удалить
    2. чтобы упереться в то что просто приложение настройки ати не позволяет менеджментить дисплеи, а режим "от администартора" не фурычит?
      sudo apt-get install mesa-utils - не то?

      Удалить
    3. или может есть вариант таки стать администратором, чтобы в соответствующем режиме запустить настройки каталиста?

      Удалить
    4. Честно сказать, не знаю, не пробовал.

      Удалить
  18. Доброго времени суток! У меня ноут асер 7535G там две видеокарты радеон 3200 и радеон HD 4570, как сделать чтобы 4570 работала?
    roman@roman-Aspire-7535:~$ lspci | grep -i vga
    01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS780M/RS780MN [Mobility Radeon HD 3200 Graphics]
    02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV710 [Mobility Radeon HD 4500/5100 Series] (rev ff)
    roman@roman-Aspire-7535:~$

    ОтветитьУдалить
    Ответы
    1. А что в Параметры системы ->Дополнительные драйверы не пробовал отключить одну из видеокарт?

      Удалить
  19. Там только Параметры системы->Драйверы устройств -> проприетарный драйвер FGLRX для видеокарт ATI/AMD

    ОтветитьУдалить
  20. Всем привет!
    нид хелп (
    RedHat Enterprise workstation 6.4 x32,
    моник Sharp PNK–321 с поддержкой разрешения QFHD (4К, 3840х2160 точек)
    видеокарта AMD FirePro W5000

    без установки дров работает всё в полное разрешение, glxgear показывает в фулскрине 9 fps.
    Загрузка оси - графический стандартный режим (чёрный фон, надпись оси по центру экрана, заполняющийся круг по мере загрузки)

    После установки дров (по всем найденным мною инструкциям) - glxrear показывает более 500fps в фулскрине, т.е. дрова стали нормально, НО!
    загрузка и выключение оси стали как в старом redhat (загрузка - надпись оси внизу экрана справа, слева - заполняющаяся тремя цветами полоска, выключение - текстовый режим).
    Не могу победить, чтобы после установки дров загрузка и выключение происходили в графическом режиме (
    помогите, натолкните, пожалуйста, на мысль!

    ОтветитьУдалить
    Ответы
    1. А ты ни чего не попутал? Здесь рассматривеются Ubuntu и её производные, а не RedHat.
      Ну, а вообще-то в коннфигах GRUB надо смотреть и загрузке плимут - /etc/initramfs-tools/conf.d/splash.

      Удалить
  21. Админ, подскажите пожалуйста,поставил проприетарный драйвер в Xubuntu 12.04 (32,bit), из НАСТРОЙКА - ДРАЙВЕРЫ УСТРОЙСТВ - ПРОПРИЕТАРНЫЙ ДРАЙВЕР FGLRX для видеокарт ATI/AMD (плановые обновления) - то после ввода пароля на загрузку системы появляется фоновая картинка от рабочего стола и система думает секунд 30, потом все-таки загружается... Если проприетарный драйвер удалить, то этой проблемы нет. Пауза максимум 1-2 секунды. А установить драйвер нужно. Как можно исправить проблему? Спасибо. У меня аккаунт в steam ну и игры соответственно... Если в Steam проверить видеодрайвера на свежесть (там есть такая возможность), то после проверки пишется, что у меня драйвера не самые новые... И steam пишет, что нужно мне установить fglrx-experimental-13 версии 2:13.101-0ubuntu0.0.2 Я этот пакет выбираю в Synaptic и устанавливаю. Установка проходит, и Steam выдает, что все в порядке, драйвера новые. НО загрузка после них длится (после ввода пароля на систему) секунд 30, а то и более. Может подскажите, как можно решить проблему..

    ОтветитьУдалить
  22. У меня видеокарта Radeon HD 5750

    ОтветитьУдалить
    Ответы
    1. Установка новых/свежих драйверов (особенно проприетарных) и их правильная работа зависит не только от установленной системы, но и "железа"/компьютера, а также. О своём железе ты ни гу-гу.

      Удалить
  23. Ясно. ТОгда вот: процессор: Intel(R) Core(TM) i5 CPU 750, память: 8Гб, видеокарта: Radeon HD 5750, материнская плата: ASRock P55 Pro, жесткий диск WD 10000 об/мин., и установленное ядро: 3.2.0-55-generic-pae.

    ОтветитьУдалить
    Ответы
    1. Попробуй сконфигурировать АТИ:
      sudo aticonfig --initial -f

      А затем перезагрузить компьютер:
      sudo reboot

      Возможно это поможет.

      Удалить
    2. Я Вами поражаюсь! Спасибо..., помогло, теперь все быстро:) А то я уже думал не будет решений... С ATI действительно проблем больше, следующий выбор падет на Nvidia.

      Удалить
  24. Админ помоги пожалуйста!!!!
    Вот такая проблема, удалить старый дрв удалил, а новый ставиться не хочет((

    2014-04-14 23:58:24 (785 KB/s) - «amd-driver-installer-12-4-x86.x86_64.run» сохранён [47834/47834]

    victor@4islogryz:~/catalyst12.4$ chmod +x amd-driver-installer-12-4-x86.x86_64.run
    victor@4islogryz:~/catalyst12.4$ sudo sh ./amd-driver-installer-12-4-x86.x86_64.run
    ./amd-driver-installer-12-4-x86.x86_64.run: 1: ./amd-driver-installer-12-4-x86.x: not found
    ./amd-driver-installer-12-4-x86.x86_64.run: 2: ./amd-driver-installer-12-4-x86.x86_64.run: Syntax error: redirection unexpected
    victor@4islogryz:~/catalyst12.4$

    ОтветитьУдалить
    Ответы
    1. Какой размер у файла amd-driver-installer-12-4-x86.x86_64.run?

      Удалить
    2. Зайдите по ссылке http://goo.gl/VGYWP браузером и сами всё увидите. Скачивание по прямой ссылке больше не работает, но через браузер скачать можно. А дальше все по аналогии.

      Удалить
  25. К сожалению не помогает( Теперь пишет такое: victor@4islogryz:~$ sudo chmod +x /home/victor/Загрузки/ati-driver-installer-9-3-x86.x86_64.run
    victor@4islogryz:~$ sudo /home/victor/Загрузки/ati-driver-installer-9-3-x86.x86_64.run
    victor@4islogryz:~$ sudo /home/victor/Загрузки/ati-driver-installer-9-3-x86.x86_64.run
    Created directory fglrx-install.2dqTYQ
    Verifying archive integrity... All good.
    Uncompressing ATI Proprietary Linux Driver-8.593...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
    ==================================================
    ATI Technologies Linux Driver Installer/Packager
    ==================================================

    Error: ./default_policy.sh does not support version
    default:v2:i686:lib::none:3.2.0-23-generic-pae; make sure that the version is being
    correctly set by --iscurrentdistro

    Removing temporary directory: fglrx-install.2dqTYQ
    victor@4islogryz:~$
    Драйвера скачаны с офф сайта под мою видяху. Может из-за того что видяха уже старая????
    Моя видяха: ATI Sapphire x1950 pro 512 MB, слот AGP.

    ОтветитьУдалить
  26. Подскажите пожалуйста как понизить версию x org до версии 6,9 64бит Это надо чбы поставить дрвав на видео карту ати hd3850 я скачал с сайта амд драйвер для своей карты стал ставить и терминал написал что х не подходит. У меня хубнту 14,04.

    ОтветитьУдалить